Package org.kie.internal.task.api.model

## Interface InternalTaskSummary

- All Superinterfaces:
    `Externalizable`, `org.kie.api.task.model.QuickTaskSummary`, `Serializable`, `org.kie.api.task.model.TaskSummary`

      public interface InternalTaskSummary
      extends org.kie.api.task.model.TaskSummary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getParentId()` |
    `SubTasksStrategy` | `getSubTaskStrategy()` |
    `void` | `setActivationTime​(Date activationTime)` |
    `void` | `setActualOwner​(org.kie.api.task.model.User actualOwner)` |
    `void` | `setCreatedBy​(org.kie.api.task.model.User createdBy)` |
    `void` | `setCreatedOn​(Date createdOn)` |
    `void` | `setDescription​(String description)` |
    `void` | `setExpirationTime​(Date expirationTime)` |
    `void` | `setId​(long id)` |
    `void` | `setName​(String name)` |
    `void` | `setParentId​(long parentId)` |
    `void` | `setPotentialOwners​(List<String> potentialOwners)` | Deprecated.
    `void` | `setPriority​(int priority)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(String processInstanceId)` |
    `void` | `setProcessSessionId​(long processSessionId)` |
    `void` | `setSkipable​(boolean skipable)` |
    `void` | `setStatus​(org.kie.api.task.model.Status status)` |
    `void` | `setSubject​(String subject)` |
    `void` | `setSubTaskStrategy​(SubTasksStrategy subTaskStrategy)` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

    - ### Methods inherited from interface org.kie.api.task.model.QuickTaskSummary

      `getActivationTime, getActualOwnerId, getCreatedById, getCreatedOn, getDeploymentId, getExpirationTime, getId, getName, getPriority, getProcessId, getProcessInstanceId, getStatusId`

    - ### Methods inherited from interface org.kie.api.task.model.TaskSummary

      `getActualOwner, getCorrelationKey, getCreatedBy, getDescription, getPotentialOwners, getProcessSessionId, getProcessType, getStatus, getSubject, isQuickTaskSummary, isSkipable`

- - ### Method Detail

    - #### setId

          void setId​(long id)

    - #### setProcessInstanceId

          void setProcessInstanceId​(String processInstanceId)

    - #### setName

          void setName​(String name)

    - #### setSubject

          void setSubject​(String subject)

    - #### setDescription

          void setDescription​(String description)

    - #### setStatus

          void setStatus​(org.kie.api.task.model.Status status)

    - #### setPriority

          void setPriority​(int priority)

    - #### setSkipable

          void setSkipable​(boolean skipable)

    - #### setActualOwner

          void setActualOwner​(org.kie.api.task.model.User actualOwner)

    - #### setCreatedBy

          void setCreatedBy​(org.kie.api.task.model.User createdBy)

    - #### setCreatedOn

          void setCreatedOn​(Date createdOn)

    - #### setActivationTime

          void setActivationTime​(Date activationTime)

    - #### setExpirationTime

          void setExpirationTime​(Date expirationTime)

    - #### setProcessId

          void setProcessId​(String processId)

    - #### setProcessSessionId

          void setProcessSessionId​(long processSessionId)

    - #### getSubTaskStrategy

          SubTasksStrategy getSubTaskStrategy()

    - #### setSubTaskStrategy

          void setSubTaskStrategy​(SubTasksStrategy subTaskStrategy)

    - #### getParentId

          Long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setParentId

          void setParentId​(long parentId)

    - #### setPotentialOwners

          @Deprecated
          void setPotentialOwners​(List<String> potentialOwners)

      Deprecated.